package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.*;
import com.muyu.domain.vo.RuleVo;


import java.util.List;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.service
 * @Filename：RuleService
 * @Description TODO
 * @Date：2024/9/21 18:47
 */
public interface RuleService extends IService<Rule> {
    /**
     * 查询车辆故障管理
     *
     * @param fault 车辆故障管理主键
     * @return 车辆故障管理
     */
    List<Rule> pageQuery(Rule fault);
    List<RuleVo> pageQueryRule(RuleVo fault);
    /**
     * 新增车辆故障管理
     *
     * @param fault 车辆故障管理
     * @return 结果
     */
    public int insertFault(Rule fault);

    /**
     * 修改车辆故障管理
     *
     * @param fault 车辆故障管理
     * @return 结果
     */
    public int updateFault(Rule fault);

    Result<List<Custom>> pageQueryList(Custom fault);

    Result<List<Vehicle>> pageQueryCar(Vehicle fault);
    Result<List<Type>> pageQueryType(Type fault);


    Result<List<MessageValue>> pageQueryMessageValue(MessageValue fault);

}
